idf_component_register(SRCS "SPIFFS.c"
                    INCLUDE_DIRS "include"  
                    #"../../main/"
                    REQUIRES    "spiffs"  "c_linked_list")



#                     # 添加生成的文件系统
# spiffs_create_partition_image(partitions.csv spiffs FLASH_IN_PROJECT)

#set(EXTRA_COMPONENT_DIRS /path/to/your/project/components)  # 设置 components 文件夹路径
#set(EXTRA_COMPONENT_DIRS "../components/USER_SPIFFS")


 # 添加生成的文件系统
 spiffs_create_partition_image(storage spiffs FLASH_IN_PROJECT)

